<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Ip6::LinkAddress Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d6/d94/classThread_1_1Ip6_1_1LinkAddress.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../d3/db6/classThread_1_1Ip6_1_1LinkAddress-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Ip6::LinkAddress Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../d2/df2/group__core-ipv6.html">IPv6</a> &raquo; <a class="el" href="../../d5/d43/group__core-ip6-netif.html">Network Interfaces</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class represents an IPv6 Link <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html" title="This class implements an IPv6 address object. ">Address</a>.  
 <a href="../../d6/d94/classThread_1_1Ip6_1_1LinkAddress.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d0/d86/netif_8hpp_source.html">src/core/net/netif.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Thread::Ip6::LinkAddress:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/d7e/classThread_1_1Ip6_1_1LinkAddress__coll__graph.png" border="0" usemap="#Thread_1_1Ip6_1_1LinkAddress_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1Ip6_1_1LinkAddress_coll__map" id="Thread_1_1Ip6_1_1LinkAddress_coll__map">
<area shape="rect" id="node2" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html" title="This structure represents an IEEE 802.15.4 Extended Address. " alt="" coords="5,80,177,105"/>
<area shape="rect" id="node3" href="../../d3/d8f/structotExtAddress.html" title="This type represents the IEEE 802.15.4 Extended Address. " alt="" coords="41,5,142,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a8f514bf71bd0eed7470a99f41ea3076c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f514bf71bd0eed7470a99f41ea3076c"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d94/classThread_1_1Ip6_1_1LinkAddress.html#a8f514bf71bd0eed7470a99f41ea3076c">HardwareType</a> { <b>kEui64</b> = 27
 }<tr class="memdesc:a8f514bf71bd0eed7470a99f41ea3076c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hardware types. <br /></td></tr>
</td></tr>
<tr class="separator:a8f514bf71bd0eed7470a99f41ea3076c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a3a7b8a84a8c08bdc990a8359bc89759b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a7b8a84a8c08bdc990a8359bc89759b"></a>
<a class="el" href="../../d6/d94/classThread_1_1Ip6_1_1LinkAddress.html#a8f514bf71bd0eed7470a99f41ea3076c">HardwareType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d94/classThread_1_1Ip6_1_1LinkAddress.html#a3a7b8a84a8c08bdc990a8359bc89759b">mType</a></td></tr>
<tr class="memdesc:a3a7b8a84a8c08bdc990a8359bc89759b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Link address type. <br /></td></tr>
<tr class="separator:a3a7b8a84a8c08bdc990a8359bc89759b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7b30e9d9e7a978a3d37e8bf76747d06"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa7b30e9d9e7a978a3d37e8bf76747d06"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d94/classThread_1_1Ip6_1_1LinkAddress.html#aa7b30e9d9e7a978a3d37e8bf76747d06">mLength</a></td></tr>
<tr class="memdesc:aa7b30e9d9e7a978a3d37e8bf76747d06"><td class="mdescLeft">&#160;</td><td class="mdescRight">Length of link address. <br /></td></tr>
<tr class="separator:aa7b30e9d9e7a978a3d37e8bf76747d06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33235e08cf8f726a110d534ab9583d61"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33235e08cf8f726a110d534ab9583d61"></a>
<a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">Mac::ExtAddress</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d94/classThread_1_1Ip6_1_1LinkAddress.html#a33235e08cf8f726a110d534ab9583d61">mExtAddress</a></td></tr>
<tr class="memdesc:a33235e08cf8f726a110d534ab9583d61"><td class="mdescLeft">&#160;</td><td class="mdescRight">Link address. <br /></td></tr>
<tr class="separator:a33235e08cf8f726a110d534ab9583d61"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class represents an IPv6 Link <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html" title="This class implements an IPv6 address object. ">Address</a>. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/net/<a class="el" href="../../d0/d86/netif_8hpp_source.html">netif.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d2/de1/namespaceThread_1_1Ip6.html">Ip6</a></li><li class="navelem"><a class="el" href="../../d6/d94/classThread_1_1Ip6_1_1LinkAddress.html">LinkAddress</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
